import { Config } from '@wagmi/core';
import { FallbackProvider, JsonRpcProvider, JsonRpcSigner } from 'ethers';
export declare function getEthersProvider(config: Config, { chainId }?: {
    chainId?: number;
}): JsonRpcProvider | FallbackProvider | undefined;
export declare function getEthersSigner(config: Config, { chainId }?: {
    chainId?: number;
}): Promise<JsonRpcSigner>;
